> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Results



## OpenAPI

````yaml get /lab/order/{order_id}/result
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /lab/order/{order_id}/result:
    get:
      tags:
        - Labs
      summary: Get Results
      operationId: get_results_lab_order__order_id__result_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: order_id
          in: path
          required: true
          schema:
            type: string
            title: Order Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LabBiomarkerResultDetail'
                title: Response Get Results Lab Order  Order Id  Result Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LabBiomarkerResultDetail:
      properties:
        id:
          type: string
          title: Id
        markerSlug:
          anyOf:
            - type: string
            - type: 'null'
          title: Markerslug
        markerName:
          type: string
          title: Markername
        loincCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Loinccode
        resultType:
          anyOf:
            - $ref: '#/components/schemas/BiomarkerResultType'
            - type: 'null'
        valueNumeric:
          anyOf:
            - type: number
            - type: 'null'
          title: Valuenumeric
        valueDisplay:
          anyOf:
            - type: string
            - type: 'null'
          title: Valuedisplay
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        minRangeValue:
          anyOf:
            - type: number
            - type: 'null'
          title: Minrangevalue
        maxRangeValue:
          anyOf:
            - type: number
            - type: 'null'
          title: Maxrangevalue
        referenceRangeText:
          anyOf:
            - type: string
            - type: 'null'
          title: Referencerangetext
        clinicalInterpretation:
          anyOf:
            - $ref: '#/components/schemas/ClinicalInterpretation'
            - type: 'null'
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        resultTimestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Resulttimestamp
        sourceMarkers:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Sourcemarkers
      type: object
      required:
        - id
        - markerName
      title: LabBiomarkerResultDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BiomarkerResultType:
      type: string
      enum:
        - numeric
        - range
        - comment
        - coded_value
      title: BiomarkerResultType
    ClinicalInterpretation:
      type: string
      enum:
        - normal
        - abnormal
        - critical
      title: ClinicalInterpretation
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````